gnutls_session_set_ptr(3)

NAME
gnutls_session_set_ptr - Used to set the user pointer to the session structure

SYNOPSIS
#include <gnutls/gnutls.h>

void gnutls_session_set_ptr(gnutls_session_t session, void * ptr);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

void * ptr
    is the user pointer

DESCRIPTION
This function will set (associate) the user given pointer ptr to the session structure. This is pointer can be accessed with gnutls_session_get_ptr().

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.